<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_ldap', language 'en_ar', version '2.2'.
 *
 * @package     auth_ldap
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['auth_ldap_ad_create_req'] = 'Cannot create the new account in Active Directory. Make sure ye meet all the requirements for this to work (LDAPS connection, bind user with adequate rights, etc.)';
$string['auth_ldap_bind_dn'] = 'If ye want to use bind-user to search users, specify it here. Something like \'cn=ldapuser,ou=public,o=org';
$string['auth_ldap_create_context'] = 'If ye enable user creation with email confirmation, specify the context where users are created. This context should be different from other users to prevent security issues. Ye don\'t need to add this context to ldap_context-variable, Moodle will search for users from this context automatically.<br /><b>Note!</b> Ye have to modify the method user_create() in file auth/ldap/auth.php to make user creation work';
$string['auth_ldap_no_mbstring'] = 'Ye need the mbstring extension to create users in Active Directory.';
$string['auth_ldap_noextension'] = '<em>The PHP LDAP module does not seem to be present. Please ensure it is installed and enabled if ye want to use this authentication plugin.</em>';
$string['auth_ldap_objectclass'] = 'Optional: Overrides objectClass used to name/search users on ldap_user_type. Usually ye dont need to chage this.';
$string['auth_ldap_update_userinfo'] = 'Update user information (firstname, lastname, address..) from LDAP to Moodle.  Specify "Data mapping" settings as ye need.';
$string['auth_ldap_version'] = 'The version of the LDAP protocol yer server is using.';
$string['auth_ldapextrafields'] = 'These fields are optional.  Ye can choose to pre-fill some Moodle user fields with information from the <b>LDAP fields</b> that ye specify here. <p>If ye leave these fields blank, then nothing will be transferred from LDAP and Moodle defaults will be used instead.</p><p>In either case, the user will be able to edit all of these fields after they log in.</p>';
$string['needbcmath'] = 'Ye need the BCMath extension to use grace logins with Active Directory';
$string['needmbstring'] = 'Ye need the mbstring extension to change passwords in Active Directory';
$string['noemail'] = 'Tried to send ye an email but failed!';
