<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_authorize', language 'en_ar', version '2.2'.
 *
 * @package     enrol_authorize
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['adminconfighttps'] = 'Please ensure that ye have "<a href="{$a->url}">turned loginhttps ON</a>" to use this plugin<br />in Admin >> Variables >> Security >> HTTP security.';
$string['admincronsetup'] = 'The cron.php maintenance script has not been run for at least 24 hours.<br />Cron must be enabled if ye want to use scheduled-capture feature.<br /><b>Enable</b> \'Authorize.Net plugin\' and <b>setup cron</b> properly; or <b>uncheck an_review</b> again.<br />If ye disable scheduled-capture, transactions will be cancelled unless ye review them within 30 days.<br />Check <b>an_review</b> and enter <b>\'0\' to an_capture_day</b> field<br />if ye want to <b>manually</b> accept/deny payments within 30 days.';
$string['adminneworder'] = 'Dear Admin,

  Ye have received a new pending order:

   Order ID: {$a->orderid}
   Transaction ID: {$a->transid}
   User: {$a->user}
   Course: {$a->course}
   Amount: {$a->amount}

   SCHEDULED-CAPTURE ENABLED?: {$a->acstatus}

  If the scheduled-capture is active, the credit card is to be captured on {$a->captureon}
  and then the user is to be enrolled to course; otherwise it will be expired
  on {$a->expireon} and cannot be captured after this day.

  Ye can also accept/deny the payment to enrol the student immediately following this link:
  {$a->url}';
$string['adminpendingorders'] = 'Ye have disabled scheduled-capture feature.<br />Total {$a->count} transactions with the status of \'Authorized/Pending capture\' are to be cancelled unless ye check them.<br />To accept/deny payments, go to <a href=\'{$a->url}\'>Payment Management</a> page.';
$string['anavsdesc'] = 'Check this if ye have activated Address Verification System (AVS) in yer Authorize.Net merchant account. This demands address fields like street, state, country and zip when user fills out payment form.';
$string['ancapturedaydesc'] = 'Capture the credit card automatically unless a teacher or administrator review the order within the specified days. CRON MUST BE ENABLED.<br />(0 days means it will disable scheduled-capture, also means teacher or admin review order manually. Transaction will be cancelled if ye disable scheduled-capture or unless ye review it within 30 days.)';
$string['anemailexpiredteacherdesc'] = 'If ye have enabled manual-capture (see above) and teachers can manage the payments, they may also notified about pending orders expiring. This will send an email to each course teachers about the count of the pending orders to expire.';
$string['anrefererdesc'] = 'Define the URL referer if ye have set up this in yer Authorize.Net merchant account. This will send a line "Referer: URL" embedded in the web request.';
$string['captureyes'] = 'The credit card will be captured and the student will be enrolled to the course. Are ye sure?';
$string['choosemethod'] = 'If ye know the enrolment key of the cource, please enter it below;<br />Otherwise ye need to pay for this course.';
$string['description'] = 'The Authorize.Net module allows ye to set up paid courses via payment providers. Two ways to set the course cost (1) a site-wide cost as a default for the whole site or (2) a course setting that ye can set for each course individually. The course cost overrides the site cost.';
$string['httpsrequired'] = 'We are sorry to inform ye that yer request cannot be processed now. This site\'s configuration couldn\'t be set up correctly.<br /><br />Please don\'t enter yer credit card number unless ye see a yellow lock at the bottom of the browser. If the symbol appears, it means the page encrypts all data sent between client and server. So the information during the transaction between the two computers is protected, hence yer credit card number cannot be captured over the internet.';
$string['logindesc'] = 'This option must be ON. <br /><br />Please ensure that ye have turned <a href="{$a->url}">loginhttps ON</a> in Admin >> Variables >> Security.<br /><br />Turning this on will make Moodle use a secure https connection just for the login and payment pages.';
$string['logininfo'] = 'When configuring yer Authorize.Net account, the login name is required and ye must enter <strong>either</strong> the transaction key <strong>or</strong> the password in the appropriate box. We recommend ye enter the transaction key due to security precautions.';
$string['paymentpending'] = 'Yer payment is pending for this course with this order number {$a->orderid}.  See <a href=\'{$a->url}\'>Order Details</a>.';
$string['pendingecheckemail'] = 'Dear manager,

There are {$a->count} pending echecks now and ye have to upload a csv file to get the users enrolled.

Click the link and read the help file on the page seen:
{$a->url}';
$string['pendingordersemail'] = 'Dear admin,

{$a->pending} transactions for course "{$a->course}" will expire unless ye accept payment within {$a->days} days.

This is a warning message, because ye didn\'t enable scheduled-capture.
It means ye have to accept or deny payments manually.

To accept/deny pending payments go to:
{$a->url}

To enable scheduled-capture, it means ye will not receive any warning emails anymore, go to:

{$a->enrolurl}';
$string['pendingordersemailteacher'] = 'Dear teacher,

{$a->pending} transactions costed {$a->currency} {$a->sumcost} for course "{$a->course}"
will expire unless ye accept payment with in {$a->days} days.

Ye have to accept or deny payments manually because of the admin hasn\'t enabled the scheduled-capture.

{$a->url}';
$string['reason43'] = 'The merchant was incorrectly set up at the processor. Call yer merchant service provider.';
$string['reviewnotify'] = 'Yer payment will be reviewed. Expect an email within a few days from yer teacher.';
$string['subvoidyes'] = 'The transaction refunded ({$a->transid}) is going to be cancelled and this will cause crediting {$a->amount} to yer account. Are ye sure?';
$string['unenrolselfconfirm'] = 'Do ye really want to unenrol yourself from course "{$a}"?';
$string['verifyaccount'] = 'Verify yer Authorize.Net merchant account';
$string['voidyes'] = 'The transaction will be cancelled. Are ye sure?';
$string['welcometocoursesemail'] = 'Dear {$a->name},

Thanks for yer payments. Ye have enrolled these courses:

{$a->courses}

Ye may view yer payment details or edit yer profile:
 {$a->paymenturl}
 {$a->profileurl}';
$string['youcantdo'] = 'Ye can\'t do this action: {$a->action}';
